﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KB5225_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Col1", typeof(double));
            dt.Columns.Add("Col2", typeof(String));

            // Rows
            dt.Rows.Add(new object[] { 0, 1.0, "aaa" });
            dt.Rows.Add(new object[] { 1, 1.0, "bbb" });

            // Primary key
            dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

            return dt;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            // 1行目
            if (e.Row.Index == 0)
            {
                DefaultEditorOwnerSettings settings = new DefaultEditorOwnerSettings();
                settings.MaskInput = "#.000";
                settings.Format = "N3";
                DefaultEditorOwner owner = new DefaultEditorOwner(settings);
                EditorWithMask editor = new EditorWithMask(owner);
                e.Row.Cells["Col1"].Editor = editor;
            }
            // 2行目
            else if (e.Row.Index == 1)
            {
                DefaultEditorOwnerSettings settings = new DefaultEditorOwnerSettings();
                settings.MaskInput = "#.0000";
                settings.Format = "N4";
                DefaultEditorOwner owner = new DefaultEditorOwner(settings);
                EditorWithMask editor = new EditorWithMask(owner);
                e.Row.Cells["Col1"].Editor = editor;
            }
        }
    }
}
